import service from '@/utils/service'

const baseUrl = process.env.VUE_APP_HOST + '/manager/api';

const giftApi = {};

giftApi.baseUrl = baseUrl;



giftApi.getGiftGameList = () => {
    return service({
        url: `${baseUrl}/giftGame/v1/list`,
        method: 'get',
        params: {deleted: 0}
    })
};

giftApi.getGiftGameById = id => {
    return service({
        url: `${baseUrl}/giftGame/v1/${id}`,
        method: 'get',
    })
};

giftApi.addGiftGame = data => {
    return service({
        url: `${baseUrl}/giftGame/v1`,
        method: 'post',
        data: data
    })
};

giftApi.updateGiftGame = data => {
    return service({
        url: `${baseUrl}/giftGame/v1`,
        method: 'put',
        data: data
    })
};

giftApi.deleteGiftGame = id => {
    return service({
        url: `${baseUrl}/giftGame/v1`,
        method: 'put',
        data: {
            id,
            deleted:1
        }

    })
};

// giftApi.getFeedbackList = params => {
//     return service({
//         url: `${baseUrl}/feedbackServer/v1/page`,
//         method: 'get',
//         params: params
//     })
// };
//
//
// giftApi.getFeedbackById = id => {
//     return service({
//         url: `${baseUrl}/feedbackServer/v1/${id}`,
//         method: 'get',
//     })
// };
//
// giftApi.updateFeedback = data => {
//     return service({
//         url: `${baseUrl}/feedbackServer/v1`,
//         method: 'put',
//         data: data
//     })
// };


export default giftApi
