
export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    meta: { title: '龙海互娱'},
    component: () => import('@/views/index/index')
  },
  // {
  //   path: '/jinji',
  //   name: 'jinji',
  //   meta: { title: '公告'},
  //   component: () => import('@/views/jinji')
  // },
  {
    path: '/about',
    name: 'about',
    meta: { title: '关于我们'},
    redirect: '/about/introduction',
    component: () => import('@/views/about/about'),
    children:[
      {
        path: '/about/introduction',
        name: 'introduction',
        meta: { title: '公司简介'},
        component: () => import('@/views/about/introduction/introduction')
      },
      {
        path: '/about/culture',
        name: 'culture',
        meta: { title: '企业文化'},
        component: () => import('@/views/about/culture/culture')
      },
      {
        path: '/about/strategy',
        name: 'strategy',
        meta: { title: '企业战略'},
        component: () => import('@/views/about/strategy/strategy')
      }
    ]
  },
  {
    path: '/product',
    name: 'product',
    meta: { title: '产品介绍'},
    component: () => import('@/views/product/product'),
    children:[
      {
        path: '/product',
        name: 'sanguo',
        meta: { title: '三国系列'},
        component: () => import('@/views/product/product'),
      },
      {
        path: '/product',
        name: 'xiyou',
        meta: { title: '西游系列'},
        component: () => import('@/views/product/product'),
      },
      {
        path: '/product',
        name: 'more',
        meta: { title: '更多游戏'},
        component: () => import('@/views/product/product'),
      }
    ]
  },
  {
    path: '/join',
    name: 'join',
    meta: { title: '人才招聘'},
    component: () => import('@/views/join/join'),
  },
  /* {
    path: '/raiders',
    name: 'raiders',
    meta: { title: '游戏攻略'},
    component: () => import('@/views/raiders/raiders'),
  }, */
  {
    path: '/contact',
    name: 'contact',
    meta: { title: '联系我们'},
    component: () => import('@/views/contact/contact'),
  },
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = []
